Create Site Idps Config

Create Site Idps Config
Create site IDPS configuration

Create IDPS signature configuration for a specific site.

Request
URI
POST
https://{api_host}/ssp/security-content/feature-config/idps/{site-id}
COPY
Path Parameters
string
site-id
Required  

Unique identifier for the site


Request Body
SiteIdpsConfig of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineSiteIdpsConfig1
{
    "site_id": "2dc4556b-3f18-481f-9826-61119ea9a7fc",
    "assigned_version": "1.0",
    "auto_update": true
}
Authentication
This operation uses the following authentication methods.
Responses
200

Site IDPS configuration created successfully.

Returns SiteIdpsConfig of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineSiteIdpsConfig1
{
    "id": "2dc4556b-3f18-481f-9826-61119ea9a7fc",
    "site_id": "2dc4556b-3f18-481f-9826-61119ea9a7fc",
    "auto_update": true,
    "_create_time": 1751433673000,
    "_create_user": "admin",
    "_last_modified_user": "admin",
    "_last_modified_time": 1751433673000,
    "_revision": 1
}

400

Bad request - validation failed

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-all-airgap"]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/security-content/feature-config/idps/{site-id}